=== debian/changelog ===
ros-rolling-ros-ign-bridge (0.244.1-1focal) focal; urgency=high

  * Improve modularity of ign/ros publisher tests (#194 <https://github.com/osrf/ros_ign/issues/194>)
  * Contributors: Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Tue, 04 Jan 2022 08:00:00 -0000

ros-rolling-ros-ign-bridge (0.244.0-1focal) focal; urgency=high

  * Default to Fortress for Rolling (future Humble) (#195 <https://github.com/osrf/ros_ign/issues/195>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/osrf/ros_ign/issues/199>)
  * New Light Message, also bridge Color (#187 <https://github.com/osrf/ros_ign/issues/187>)
  * Statically link each translation unit (#193 <https://github.com/osrf/ros_ign/issues/193>)
  * Break apart convert and factories translation unit (#192 <https://github.com/osrf/ros_ign/issues/192>)
  * Fixed ROS subscriber test in ros_ign_bridge (#189 <https://github.com/osrf/ros_ign/issues/189>)
  * Enable QoS overrides (#181 <https://github.com/osrf/ros_ign/issues/181>)
  * Fixed ros ign bridge documentation (#178 <https://github.com/osrf/ros_ign/issues/178>)
  * Expose Contacts through ROS bridge (#175 <https://github.com/osrf/ros_ign/issues/175>)
  * Contributors: Alejandro Hernández Cordero, Guillaume Doisy, Louise Poubel, Michael Carroll, Vatan Aksoy Tezer, William Lew

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 08:00:00 -0000

ros-rolling-ros-ign-bridge (0.233.2-1focal) focal; urgency=high

  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/osrf/ros_ign/issues/164>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 07:00:00 -0000

ros-rolling-ros-ign-bridge (0.233.1-1focal) focal; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/osrf/ros_ign/issues/150>)
  * Ignore local publications for ROS 2 subscriber (#146 <https://github.com/osrf/ros_ign/issues/146>)
    - Note: Does not work with all rmw implementations (e.g.: FastRTPS)
  * Update documentation for installation instructions and bridge examples (#142 <https://github.com/osrf/ros_ign/issues/142>)
  * Edifice support (#140 <https://github.com/osrf/ros_ign/issues/140>)
  * Add JointTrajectory message conversion (#121 <https://github.com/osrf/ros_ign/issues/121>)
    Conversion between
    - ignition::msgs::JointTrajectory
    - trajectory_msgs::msg::JointTrajectory
  * Add TFMessage / Pose_V and Float64 / Double conversions (#117 <https://github.com/osrf/ros_ign/issues/117>)
    Addresses issue #116 <https://github.com/osrf/ros_ign/issues/116>
  * Updated prereq & branch name (#113 <https://github.com/osrf/ros_ign/issues/113>)
  * Update releases (#108 <https://github.com/osrf/ros_ign/issues/108>)
  * Updated README.md (#104 <https://github.com/osrf/ros_ign/issues/104>)
  * Add support for Dome (#103 <https://github.com/osrf/ros_ign/issues/103>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Florent Audonnet, Jenn, Louise Poubel, Luca Della Vedova

 -- Louise Poubel <louise@openrobotics.org>  Fri, 16 Apr 2021 07:00:00 -0000

ros-rolling-ros-ign-bridge (0.221.1-1focal) focal; urgency=high

  * Add pkg-config as a buildtool dependency (#102 <https://github.com/osrf/ros_ign/issues/102>)
  * Port ros_ign_bridge tests to ROS 2 (#98 <https://github.com/osrf/ros_ign/issues/98>)
  * Rename test_utils.hpp (#98 <https://github.com/osrf/ros_ign/issues/98>)
  * Contributors: Louise Poubel, ahcorde

 -- Louise Poubel <louise@openrobotics.org>  Wed, 19 Aug 2020 07:00:00 -0000

ros-rolling-ros-ign-bridge (0.221.0-1focal) focal; urgency=high

  * Install only what's necessary, rename builtin_interfaces (#95 <https://github.com/osrf/ros_ign/issues/95>)
  * Move headers to src, rename builtin_interfaces (#95 <https://github.com/osrf/ros_ign/issues/95>)
  * Integer support (#91 <https://github.com/osrf/ros_ign/issues/91>)
    Adds Int32 to the bridge.
  * [ros2] Fixed CI - Added Foxy (#89 <https://github.com/osrf/ros_ign/issues/89>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Ignore ros-args in parameter bridge (#65 <https://github.com/osrf/ros_ign/issues/65>)
  * Update Dashing docs (#62 <https://github.com/osrf/ros_ign/issues/62>)
  * Update dependencies to Citadel (#57 <https://github.com/osrf/ros_ign/issues/57>)
  * [WIP] Port ign_ros_gazebo_demos to ROS2 (#58 <https://github.com/osrf/ros_ign/issues/58>)
    Port ros_ign_image to ROS2
    Port ros_ign_gazebo_demos to ROS2
  * Add support for std_msgs/Empty (#53 <https://github.com/osrf/ros_ign/issues/53>)
  * Add support for std_msgs/Bool (#50 <https://github.com/osrf/ros_ign/issues/50>)
  * [ros2] Port ros_ign_bridge to ROS2 (#45 <https://github.com/osrf/ros_ign/issues/45>)
  * Enable ROS2 CI for Dashing branch (#43 <https://github.com/osrf/ros_ign/issues/43>)
  * Make all API and comments ROS-version agnostic
  * Rename packages and fix compilation + tests
  * Move files ros1 -> ros
  * Contributors: Addisu Taddese, Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, Luca Della Vedova, Michael Carroll, Mohamed Ahmed, Shivesh Khaitan, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000

ros-rolling-ros-ign-bridge (0.7.0-1focal) focal; urgency=high

  * Merge pull request #38 <https://github.com/osrf/ros1_ign_bridge/issues/38> from osrf/unidirectional
    Support unidirectional bridge topics
  * More examples
  * Merge pull request #37 <https://github.com/osrf/ros1_ign_bridge/issues/37> from osrf/debug
    Adding debug and error statements
  * Switch to characters supported by ros
  * Merge branch 'debug' into unidirectional
  * More output, and rosconsole depend
  * Support specification of bridge direction
  * Adding debug and error statements
  * Contributors: Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-rolling-ros-ign-bridge (0.6.3-1focal) focal; urgency=high




